=== debian/changelog ===
nekowm (1.0.0-0+72.1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 30 Oct 2025 21:43:53 +0000

nekowm (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Cyril Hrubis <metan@ucw.cz>  Sun, 14 Jan 2024 20:21:41 +0100
