=== debian/control ===
Source: nekowm
Priority: extra
Maintainer: Cyril Hrubis <metan@ucw.cz>
Build-Depends: debhelper (>= 9.0), libgfxprim-dev
Standards-Version: 4.0.0
Section: misc
Homepage: http://gfxprim.ucw.cz/

Package: nekowm
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A gfxprim proxy backend tiling window manager
 NekoWM can run directly on Linux DRM or Framebuffer as well as inside of X11
 or Wayland window. NekoWM implements virtual screens, split screens as well as
 application launcher for gfxprim applications.
